BaselineTool Class Reference

Plot tool for selecting and moving individual points of a baseline curve. More...

`#include <DataPickerTool.h>`

Inheritance diagram for BaselineTool:

## Public Member Functions

| BaselineTool (QwtPlotCurve *curve, Graph *graph, ApplicationWindow *app)
Public Member Functions inherited from DataPickerTool
ApplicationWindow * | applicationWindow ()
void | copySelection ()
void | cutSelection ()
| DataPickerTool (Graph *graph, ApplicationWindow *app, Mode mode, const QObject *status_target=NULL, const char *status_slot="")
virtual bool | eventFilter (QObject *obj, QEvent *event)
int | findClosestPoint (QwtPlotCurve *c, double x, bool up)
| Searches the index of the closest point to the given x coordinate. More...
bool | keyEventFilter (QKeyEvent *ke)
Mode | mode ()
| Returns the information about the functioning mode of the tool. More...
void | pasteSelection ()
void | removePoint ()
virtual int | rtti () const
QwtPlotCurve * | selectedCurve () const
int | selectedPointIndex ()
void | selectTableRow ()
void | setMode (Mode m)
void | setSelectedCurve (QwtPlotCurve *c)
virtual | ~DataPickerTool ()
Public Member Functions inherited from PlotToolInterface
| PlotToolInterface (Graph *graph, const QObject *status_target=NULL, const char *status_slot="")
virtual | ~PlotToolInterface ()

## Protected Member Functions

void | setSelection (QwtPlotCurve *curve, int point_index)
Protected Member Functions inherited from DataPickerTool
virtual void | append (const QPoint &point)
virtual bool | end (bool ok)
virtual void | move (const QPoint &point)
void | moveBy (int dx, int dy)
void | movePoint (const QPoint &cursor)

## Additional Inherited Members

Public Types inherited from DataPickerTool
enum | Mode { Display, Move, Remove, MoveCurve }
enum | MoveMode { Free, Vertical, Horizontal }
Public Types inherited from PlotToolInterface
enum | RttiValues { Rtti_PlotTool = 0, Rtti_RangeSelector, Rtti_DataPicker, Rtti_TranslateCurveTool, Rtti_MultiPeakFitTool, Rtti_LineProfileTool, Rtti_AddWidgetTool, Rtti_DrawDataPoints, Rtti_ImageProfilesTool, Rtti_SubtractLineTool, Rtti_PlotUserTool = 1000 }
Public Slots inherited from DataPickerTool
void | pasteSelectionAsLayerText ()
Signals inherited from DataPickerTool
void | selected (QwtPlotCurve *, int)
| Emitted whenever a new data point has been selected. More...
void | statusText (const QString &)
Protected Attributes inherited from DataPickerTool
ApplicationWindow * | d_app
Mode | d_mode
MoveMode | d_move_mode
QPoint | d_restricted_move_pos
QwtPlotCurve * | d_selected_curve
int | d_selected_point
QwtPlotMarker | d_selection_marker
Protected Attributes inherited from PlotToolInterface
Graph * | d_graph
const char * | d_status_slot
const QObject * | d_status_target

## Detailed Description

Plot tool for selecting and moving individual points of a baseline curve.

## Constructor & Destructor Documentation

## BaselineTool()

BaselineTool::BaselineTool | ( | QwtPlotCurve * | curve,
|  | Graph * | graph,
|  | ApplicationWindow * | app
| ) |  |

References DataPickerTool::setSelectedCurve().

## Member Function Documentation

## setSelection()

void BaselineTool::setSelection | ( | QwtPlotCurve * | curve,
|  | int | point_index
| ) |  |

protected virtual

Reimplemented from DataPickerTool.

References DataPickerTool::d_selected_curve, and DataPickerTool::setSelection().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/DataPickerTool.h
- qtiplot/src/plot2D/DataPickerTool.cpp